package com.jxml.quick.util.qjml2html;
import com.jxml.quick.model.qjml.*;
import com.jxml.quick.*;
import org.xml.sax.*;
import java.util.*;
import com.jxml.quick.ocm.*;
import java.io.*;


public class QCParm 
{
	public boolean repeating;
	public boolean optional;
	public QMAccess access;
	
	public QCParm()
	{
		this.access=null;
		this.repeating=false;
		this.optional=false;
	}
	
	public QCParm(QCParm parm)
	{
		this.access=parm.access;
		this.repeating=parm.repeating;
		this.optional=parm.optional;
	}
	
	public QCParm(
		boolean repeating, 
		boolean optional, 
		QMAccess access)
	{
		this.repeating=repeating;
		this.optional=optional;
		this.access=access;
	}
	
	public QCParm(
		QCParm parm, 
		boolean repeating, 
		boolean optional, 
		QMAccess access)
	{
		this.access=parm.access;
		this.repeating=parm.repeating;
		this.optional=parm.optional;
		if (repeating)
			this.repeating=true;
		if (optional)
			this.optional=true;
		if (access!=null)
			this.access=access;
	}
}